> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video Entities

> Retrieve extracted entities for a specific file in a collection. Results are paginated with a default limit of 50 segment entities per request (maximum 100). Use limit and offset parameters to paginate through all results. This API is only available when the collection is created with collection_type 'entities'

For details on how to create a video collection, see [Create Collection](/api-reference/endpoint/collections/post)


## OpenAPI

````yaml GET /collections/{collection_id}/videos/{file_id}/entities
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.8
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /collections/{collection_id}/videos/{file_id}/entities:
    get:
      tags:
        - Collections
      summary: Retrieve extracted entities for a specific file in a collection
      description: >-
        Retrieve extracted entities for a specific file in a collection. Results
        are paginated with a default limit of 50 segment entities per request
        (maximum 100). Use limit and offset parameters to paginate through all
        results. This API is only available when the collection is created with
        collection_type 'entities'
      operationId: getEntities
      parameters:
        - name: collection_id
          in: path
          required: true
          description: The ID of the collection
          schema:
            type: string
        - name: file_id
          in: path
          required: true
          description: The ID of the file
          schema:
            type: string
        - name: limit
          in: query
          description: Maximum number of segment entities to return
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
        - name: offset
          in: query
          description: Number of segment entities to skip
          required: false
          schema:
            type: integer
            minimum: 0
        - name: include_thumbnails
          in: query
          description: >-
            When true, include a file-level thumbnail_url in the response and a
            per-segment thumbnail_url on each segment entity
          required: false
          schema:
            type: boolean
        - name: include_chapters
          in: query
          description: >-
            Include narrative chapters in the response (when segmentation
            strategy is 'narrative')
          required: false
          schema:
            type: boolean
            default: false
        - name: include_shots
          in: query
          description: >-
            Include shot boundaries in the response (when segmentation strategy
            is 'shot-detector')
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: File entities
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileEntities'
        '400':
          description: Collection type is not 'entities'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Collection or file not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FileEntities:
      type: object
      properties:
        collection_id:
          type: string
          description: ID of the collection
        file_id:
          type: string
          description: ID of the file
        thumbnail_url:
          type: string
          format: uri
          description: >-
            URL of the file-level thumbnail for the video. Only present when
            include_thumbnails=true.
        entities:
          type: object
          description: Entities extracted from the file at the video level
        segment_entities:
          type: array
          description: Array of video entities extracted from individual time segments
          items:
            type: object
            properties:
              start_time:
                type: number
                description: Start time of the segment in seconds
              end_time:
                type: number
                description: End time of the segment in seconds
              entities:
                type: object
                description: Entities extracted from the segment
              thumbnail_url:
                type: string
                format: uri
                description: URL of the segment thumbnail, when available.
        total:
          type: integer
          description: Total number of segment entities available
        limit:
          type: integer
          description: Maximum number of entities returned per request
        offset:
          type: integer
          description: Number of entities skipped
        chapters:
          type: array
          description: >-
            Array of narrative chapters (only present when include_chapters=true
            and segmentation strategy is 'narrative')
          items:
            type: object
            properties:
              index:
                type: integer
                minimum: 0
              start_time:
                type: number
                minimum: 0
              end_time:
                type: number
                minimum: 0
              description:
                type: string
            required:
              - index
              - start_time
              - end_time
              - description
        shots:
          type: array
          description: >-
            Array of shot boundaries (only present when include_shots=true and
            segmentation strategy is 'shot-detector')
          items:
            type: object
            properties:
              index:
                type: integer
                minimum: 0
              start_time:
                type: number
                minimum: 0
              end_time:
                type: number
                minimum: 0
            required:
              - index
              - start_time
              - end_time
        total_chapters:
          type: integer
          minimum: 0
          description: >-
            Total number of chapters (only present when include_chapters=true
            and segmentation strategy is 'narrative')
        total_shots:
          type: integer
          minimum: 0
          description: >-
            Total number of shots (only present when include_shots=true and
            segmentation strategy is 'shot-detector')
      required:
        - collection_id
        - file_id
        - entities
        - segment_entities
        - total
        - limit
        - offset
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````